Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal
Class TerminalXTerm

    java.lang.Object
      com.mindbright.terminal.TerminalInterpreter
          com.mindbright.terminal.TerminalXTerm

public final class TerminalXTerm
extends TerminalInterpreter

Field Summary
`static int[]` | `asciiLineDrawChars`
`static int` | `CASE_ANSI_PRINTER`
`static int` | `CASE_BELL`
`static int` | `CASE_BS`
`static int` | `CASE_CBT`
`static int` | `CASE_CHA`
`static int` | `CASE_CHT`
`static int` | `CASE_CNL`
`static int` | `CASE_CPL`
`static int` | `CASE_CPR`
`static int` | `CASE_CR`
`static int` | `CASE_CSI_STATE`
`static int` | `CASE_CUB`
`static int` | `CASE_CUD`
`static int` | `CASE_CUF`
`static int` | `CASE_CUP`
`static int` | `CASE_CUU`
`static int` | `CASE_DA1`
`static int` | `CASE_DCH`
`static int` | `CASE_DEC_STATE`
`static int` | `CASE_DECALN`
`static int` | `CASE_DECID`
`static int` | `CASE_DECKPAM`
`static int` | `CASE_DECKPNM`
`static int` | `CASE_DECRC`
`static int` | `CASE_DECREQTPARM`
`static int` | `CASE_DECRST`
`static int` | `CASE_DECSC`
`static int` | `CASE_DECSET`
`static int` | `CASE_DECSTBM`
`static int` | `CASE_DL`
`static int` | `CASE_ECH`
`static int` | `CASE_ED`
`static int` | `CASE_EL`
`static int` | `CASE_ENQ`
`static int` | `CASE_ESC`
`static int` | `CASE_ESC_DIGIT`
`static int` | `CASE_ESC_IGNORE`
`static int` | `CASE_ESC_SEMI`
`static int` | `CASE_ESC_SEMIOSC`
`static int` | `CASE_GROUND_STATE`
`static int` | `CASE_GSETS`
`static int` | `CASE_HP_BUGGY_LL`
`static int` | `CASE_HP_MEM_LOCK`
`static int` | `CASE_HP_MEM_UNLOCK`
`static int` | `CASE_HPA`
`static int` | `CASE_HTS`
`static int` | `CASE_ICH`
`static int` | `CASE_IGNORE`
`static int` | `CASE_IGNORE_ESC`
`static int` | `CASE_IGNORE_STATE`
`static int` | `CASE_IL`
`static int` | `CASE_IND`
`static int` | `CASE_LS1R`
`static int` | `CASE_LS2`
`static int` | `CASE_LS2R`
`static int` | `CASE_LS3`
`static int` | `CASE_LS3R`
`static int` | `CASE_NEL`
`static int` | `CASE_OSC`
`static int` | `CASE_PRINT`
`static int` | `CASE_REP`
`static int` | `CASE_RI`
`static int` | `CASE_RIS`
`static int` | `CASE_RST`
`static int` | `CASE_SCR_STATE`
`static int` | `CASE_SCS0_STATE`
`static int` | `CASE_SCS1_STATE`
`static int` | `CASE_SCS2_STATE`
`static int` | `CASE_SCS3_STATE`
`static int` | `CASE_SD`
`static int` | `CASE_SEQ_CAPTURE`
`static int` | `CASE_SET`
`static int` | `CASE_SGR`
`static int` | `CASE_SI`
`static int` | `CASE_SO`
`static int` | `CASE_SS2`
`static int` | `CASE_SS3`
`static int` | `CASE_SU`
`static int` | `CASE_TAB`
`static int` | `CASE_TBC`
`static int` | `CASE_TRACK_MOUSE`
`static int` | `CASE_VMOT`
`static int` | `CASE_VPA`
`static int` | `CASE_XTERM_RESTORE`
`static int` | `CASE_XTERM_SAVE`
`static int` | `CASE_XTERM_SEQ`
`static int` | `CASE_XTERM_TITLE`
`static int` | `CASE_XTERMWIN`
`static char` | `CHARSET_ASCII`
`static char` | `CHARSET_ASCII_ALT`
`static char` | `CHARSET_ASCII_ALT2`
`static char` | `CHARSET_LINES`
`static char` | `CHARSET_UK`
`static int[]` | `csiTable`
`static boolean` | `DEBUG`
`static boolean` | `DEBUGNOTIMPL`
`static boolean` | `DEBUGPRINT`
`static boolean` | `DEBUGSTATE`
`static int[]` | `decTable`
`static int` | `DEFAULT_TERM`
`static int[]` | `eigTable`
`static int` | `EMUL_AIX`
`static int` | `EMUL_ALTERNATENAME`
`static int` | `EMUL_ANSI`
`static int` | `EMUL_AT386`
`static int` | `EMUL_ATT6386`
`static int` | `EMUL_LINUX`
`static int` | `EMUL_LINUXLAT`
`static int` | `EMUL_SCOANSI`
`static int` | `EMUL_SUN`
`static int` | `EMUL_VT100`
`static int` | `EMUL_VT102`
`static int` | `EMUL_VT220`
`static int` | `EMUL_VT320`
`static int` | `EMUL_VT52`
`static int` | `EMUL_XTERM`
`static int` | `EMUL_XTERMCOL`
`static int[]` | `escTable`
`static int[]` | `groundTable`
`static int[]` | `iesTable`
`static int[]` | `ignTable`
`static int` | `MOUSE_DECVT200`
`static int` | `MOUSE_DONTSEND`
`static int` | `MOUSE_HLTRACK`
`static int` | `MOUSE_X10COMP`
`static int[]` | `oscTable`
`static int` | `PARAMNOTUSED`
`static int` | `R_APC`
`static int` | `R_CSI`
`static int` | `R_DCS`
`static int` | `R_ESC`
`static int` | `R_OSC`
`static int` | `R_PM`
`static int` | `R_SS2`
`static int` | `R_SS3`
`static java.lang.String[]` | `replyTypes`
`static int[]` | `scrTable`
`static int[]` | `scsTable`
`static java.lang.String[][]` | `specialKeyMap`
`static java.lang.String[][]` | `specialKeyMapCtrl`
`static java.lang.String[][]` | `specialKeyMapCtrlShift`
`static java.lang.String[][]` | `specialKeyMapShift`
`static java.lang.String[]` | `terminalTypes`
`static java.lang.String[][][]` | `theSpecialKeyMaps`
`int[]` | `vk2xvk`
`static int[]` | `xtermSeqTable`
`static int` | `XVK_ADD`
`static int` | `XVK_DIVIDE`
`static int` | `XVK_DOWN`
`static int` | `XVK_END`
`static int` | `XVK_F1`
`static int` | `XVK_F10`
`static int` | `XVK_F11`
`static int` | `XVK_F12`
`static int` | `XVK_F2`
`static int` | `XVK_F3`
`static int` | `XVK_F4`
`static int` | `XVK_F5`
`static int` | `XVK_F6`
`static int` | `XVK_F7`
`static int` | `XVK_F8`
`static int` | `XVK_F9`
`static int` | `XVK_HOME`
`static int` | `XVK_INSERT`
`static int` | `XVK_LEFT`
`static int` | `XVK_MAX`
`static int` | `XVK_MULTIPLY`
`static int` | `XVK_NUMPAD0`
`static int` | `XVK_NUMPAD1`
`static int` | `XVK_NUMPAD2`
`static int` | `XVK_NUMPAD3`
`static int` | `XVK_NUMPAD4`
`static int` | `XVK_NUMPAD5`
`static int` | `XVK_NUMPAD6`
`static int` | `XVK_NUMPAD7`
`static int` | `XVK_NUMPAD8`
`static int` | `XVK_NUMPAD9`
`static int` | `XVK_PAGE_DOWN`
`static int` | `XVK_PAGE_UP`
`static int` | `XVK_RIGHT`
`static int` | `XVK_SUBTRACT`
`static int` | `XVK_UP`

Fields inherited from class com.mindbright.terminal.TerminalInterpreter
`IGNORE, term`

Constructor Summary
`TerminalXTerm()`
`TerminalXTerm(int personality)`

Method Summary
`protected void` | `ansiModes(boolean set)`
`protected void` | `ansiPrinterCtrl(int val)`
`protected void` | `dpModes(boolean set)`
`static java.lang.String[]` | `getTerminalTypes()`
`static boolean` | `hasNullPadding(int personality)`
`int` | `interpretChar(char c)`
`void` | `keyHandler(char c, int virtualKey, int modifiers)`
`static java.lang.String` | `listAvailableTerminalTypes()`
`int` | `mapModToTab(int modifiers)`
`java.lang.String` | `mapSpecialKeys(int virtualKey, int modifiers)`
`void` | `mouseHandler(int row, int col, boolean press, int modifiers)`
`protected void` | `notImplemented(java.lang.String cmd)`
`protected void` | `resetGSets()`
`void` | `setDumbMode(boolean dumb)`
`void` | `setTerminalType(int type)`
`void` | `setTerminalType(java.lang.String type)`
`protected void` | `sgrModes()`
`java.lang.String` | `terminalType()`
`void` | `vtReset()`
`protected void` | `xtermModes()`
`protected void` | `xtermRestoremodes()`
`protected void` | `xtermSavemodes()`
`protected void` | `xtermWinCtrl()`

Methods inherited from class com.mindbright.terminal.TerminalInterpreter
`setTerminal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static final boolean DEBUG

See Also:
  Constant Field Values

### DEBUGNOTIMPL

    public static final boolean DEBUGNOTIMPL

See Also:
  Constant Field Values

### DEBUGSTATE

    public static final boolean DEBUGSTATE

See Also:
  Constant Field Values

### DEBUGPRINT

    public static final boolean DEBUGPRINT

See Also:
  Constant Field Values

### CASE_GROUND_STATE

    public static final int CASE_GROUND_STATE

See Also:
  Constant Field Values

### CASE_IGNORE_STATE

    public static final int CASE_IGNORE_STATE

See Also:
  Constant Field Values

### CASE_IGNORE_ESC

    public static final int CASE_IGNORE_ESC

See Also:
  Constant Field Values

### CASE_IGNORE

    public static final int CASE_IGNORE

See Also:
  Constant Field Values

### CASE_BELL

    public static final int CASE_BELL

See Also:
  Constant Field Values

### CASE_BS

    public static final int CASE_BS

See Also:
  Constant Field Values

### CASE_CR

    public static final int CASE_CR

See Also:
  Constant Field Values

### CASE_ESC

    public static final int CASE_ESC

See Also:
  Constant Field Values

### CASE_VMOT

    public static final int CASE_VMOT

See Also:
  Constant Field Values

### CASE_TAB

    public static final int CASE_TAB

See Also:
  Constant Field Values

### CASE_SI

    public static final int CASE_SI

See Also:
  Constant Field Values

### CASE_SO

    public static final int CASE_SO

See Also:
  Constant Field Values

### CASE_SCR_STATE

    public static final int CASE_SCR_STATE

See Also:
  Constant Field Values

### CASE_SCS0_STATE

    public static final int CASE_SCS0_STATE

See Also:
  Constant Field Values

### CASE_SCS1_STATE

    public static final int CASE_SCS1_STATE

See Also:
  Constant Field Values

### CASE_SCS2_STATE

    public static final int CASE_SCS2_STATE

See Also:
  Constant Field Values

### CASE_SCS3_STATE

    public static final int CASE_SCS3_STATE

See Also:
  Constant Field Values

### CASE_ESC_IGNORE

    public static final int CASE_ESC_IGNORE

See Also:
  Constant Field Values

### CASE_ESC_DIGIT

    public static final int CASE_ESC_DIGIT

See Also:
  Constant Field Values

### CASE_ESC_SEMI

    public static final int CASE_ESC_SEMI

See Also:
  Constant Field Values

### CASE_DEC_STATE

    public static final int CASE_DEC_STATE

See Also:
  Constant Field Values

### CASE_ICH

    public static final int CASE_ICH

See Also:
  Constant Field Values

### CASE_CUU

    public static final int CASE_CUU

See Also:
  Constant Field Values

### CASE_CUD

    public static final int CASE_CUD

See Also:
  Constant Field Values

### CASE_CUF

    public static final int CASE_CUF

See Also:
  Constant Field Values

### CASE_CUB

    public static final int CASE_CUB

See Also:
  Constant Field Values

### CASE_CUP

    public static final int CASE_CUP

See Also:
  Constant Field Values

### CASE_ED

    public static final int CASE_ED

See Also:
  Constant Field Values

### CASE_EL

    public static final int CASE_EL

See Also:
  Constant Field Values

### CASE_IL

    public static final int CASE_IL

See Also:
  Constant Field Values

### CASE_DL

    public static final int CASE_DL

See Also:
  Constant Field Values

### CASE_DCH

    public static final int CASE_DCH

See Also:
  Constant Field Values

### CASE_DA1

    public static final int CASE_DA1

See Also:
  Constant Field Values

### CASE_TRACK_MOUSE

    public static final int CASE_TRACK_MOUSE

See Also:
  Constant Field Values

### CASE_TBC

    public static final int CASE_TBC

See Also:
  Constant Field Values

### CASE_SET

    public static final int CASE_SET

See Also:
  Constant Field Values

### CASE_RST

    public static final int CASE_RST

See Also:
  Constant Field Values

### CASE_SGR

    public static final int CASE_SGR

See Also:
  Constant Field Values

### CASE_CPR

    public static final int CASE_CPR

See Also:
  Constant Field Values

### CASE_DECSTBM

    public static final int CASE_DECSTBM

See Also:
  Constant Field Values

### CASE_DECREQTPARM

    public static final int CASE_DECREQTPARM

See Also:
  Constant Field Values

### CASE_DECSET

    public static final int CASE_DECSET

See Also:
  Constant Field Values

### CASE_DECRST

    public static final int CASE_DECRST

See Also:
  Constant Field Values

### CASE_DECALN

    public static final int CASE_DECALN

See Also:
  Constant Field Values

### CASE_GSETS

    public static final int CASE_GSETS

See Also:
  Constant Field Values

### CASE_DECSC

    public static final int CASE_DECSC

See Also:
  Constant Field Values

### CASE_DECRC

    public static final int CASE_DECRC

See Also:
  Constant Field Values

### CASE_DECKPAM

    public static final int CASE_DECKPAM

See Also:
  Constant Field Values

### CASE_DECKPNM

    public static final int CASE_DECKPNM

See Also:
  Constant Field Values

### CASE_IND

    public static final int CASE_IND

See Also:
  Constant Field Values

### CASE_NEL

    public static final int CASE_NEL

See Also:
  Constant Field Values

### CASE_HTS

    public static final int CASE_HTS

See Also:
  Constant Field Values

### CASE_RI

    public static final int CASE_RI

See Also:
  Constant Field Values

### CASE_SS2

    public static final int CASE_SS2

See Also:
  Constant Field Values

### CASE_SS3

    public static final int CASE_SS3

See Also:
  Constant Field Values

### CASE_CSI_STATE

    public static final int CASE_CSI_STATE

See Also:
  Constant Field Values

### CASE_OSC

    public static final int CASE_OSC

See Also:
  Constant Field Values

### CASE_RIS

    public static final int CASE_RIS

See Also:
  Constant Field Values

### CASE_LS2

    public static final int CASE_LS2

See Also:
  Constant Field Values

### CASE_LS3

    public static final int CASE_LS3

See Also:
  Constant Field Values

### CASE_LS3R

    public static final int CASE_LS3R

See Also:
  Constant Field Values

### CASE_LS2R

    public static final int CASE_LS2R

See Also:
  Constant Field Values

### CASE_LS1R

    public static final int CASE_LS1R

See Also:
  Constant Field Values

### CASE_PRINT

    public static final int CASE_PRINT

See Also:
  Constant Field Values

### CASE_XTERM_SAVE

    public static final int CASE_XTERM_SAVE

See Also:
  Constant Field Values

### CASE_XTERM_RESTORE

    public static final int CASE_XTERM_RESTORE

See Also:
  Constant Field Values

### CASE_XTERM_TITLE

    public static final int CASE_XTERM_TITLE

See Also:
  Constant Field Values

### CASE_DECID

    public static final int CASE_DECID

See Also:
  Constant Field Values

### CASE_HP_MEM_LOCK

    public static final int CASE_HP_MEM_LOCK

See Also:
  Constant Field Values

### CASE_HP_MEM_UNLOCK

    public static final int CASE_HP_MEM_UNLOCK

See Also:
  Constant Field Values

### CASE_HP_BUGGY_LL

    public static final int CASE_HP_BUGGY_LL

See Also:
  Constant Field Values

### CASE_SEQ_CAPTURE

    public static final int CASE_SEQ_CAPTURE

See Also:
  Constant Field Values

### CASE_ESC_SEMIOSC

    public static final int CASE_ESC_SEMIOSC

See Also:
  Constant Field Values

### CASE_XTERM_SEQ

    public static final int CASE_XTERM_SEQ

See Also:
  Constant Field Values

### CASE_ENQ

    public static final int CASE_ENQ

See Also:
  Constant Field Values

### CASE_XTERMWIN

    public static final int CASE_XTERMWIN

See Also:
  Constant Field Values

### CASE_CNL

    public static final int CASE_CNL

See Also:
  Constant Field Values

### CASE_CPL

    public static final int CASE_CPL

See Also:
  Constant Field Values

### CASE_CHA

    public static final int CASE_CHA

See Also:
  Constant Field Values

### CASE_CHT

    public static final int CASE_CHT

See Also:
  Constant Field Values

### CASE_SU

    public static final int CASE_SU

See Also:
  Constant Field Values

### CASE_SD

    public static final int CASE_SD

See Also:
  Constant Field Values

### CASE_ECH

    public static final int CASE_ECH

See Also:
  Constant Field Values

### CASE_CBT

    public static final int CASE_CBT

See Also:
  Constant Field Values

### CASE_HPA

    public static final int CASE_HPA

See Also:
  Constant Field Values

### CASE_REP

    public static final int CASE_REP

See Also:
  Constant Field Values

### CASE_VPA

    public static final int CASE_VPA

See Also:
  Constant Field Values

### CASE_ANSI_PRINTER

    public static final int CASE_ANSI_PRINTER

See Also:
  Constant Field Values

### asciiLineDrawChars

    public static final int[] asciiLineDrawChars

### XVK_UP

    public static final int XVK_UP

See Also:
  Constant Field Values

### XVK_DOWN

    public static final int XVK_DOWN

See Also:
  Constant Field Values

### XVK_RIGHT

    public static final int XVK_RIGHT

See Also:
  Constant Field Values

### XVK_LEFT

    public static final int XVK_LEFT

See Also:
  Constant Field Values

### XVK_PAGE_UP

    public static final int XVK_PAGE_UP

See Also:
  Constant Field Values

### XVK_PAGE_DOWN

    public static final int XVK_PAGE_DOWN

See Also:
  Constant Field Values

### XVK_END

    public static final int XVK_END

See Also:
  Constant Field Values

### XVK_HOME

    public static final int XVK_HOME

See Also:
  Constant Field Values

### XVK_INSERT

    public static final int XVK_INSERT

See Also:
  Constant Field Values

### XVK_F1

    public static final int XVK_F1

See Also:
  Constant Field Values

### XVK_F2

    public static final int XVK_F2

See Also:
  Constant Field Values

### XVK_F3

    public static final int XVK_F3

See Also:
  Constant Field Values

### XVK_F4

    public static final int XVK_F4

See Also:
  Constant Field Values

### XVK_F5

    public static final int XVK_F5

See Also:
  Constant Field Values

### XVK_F6

    public static final int XVK_F6

See Also:
  Constant Field Values

### XVK_F7

    public static final int XVK_F7

See Also:
  Constant Field Values

### XVK_F8

    public static final int XVK_F8

See Also:
  Constant Field Values

### XVK_F9

    public static final int XVK_F9

See Also:
  Constant Field Values

### XVK_F10

    public static final int XVK_F10

See Also:
  Constant Field Values

### XVK_F11

    public static final int XVK_F11

See Also:
  Constant Field Values

### XVK_F12

    public static final int XVK_F12

See Also:
  Constant Field Values

### XVK_NUMPAD0

    public static final int XVK_NUMPAD0

See Also:
  Constant Field Values

### XVK_NUMPAD1

    public static final int XVK_NUMPAD1

See Also:
  Constant Field Values

### XVK_NUMPAD2

    public static final int XVK_NUMPAD2

See Also:
  Constant Field Values

### XVK_NUMPAD3

    public static final int XVK_NUMPAD3

See Also:
  Constant Field Values

### XVK_NUMPAD4

    public static final int XVK_NUMPAD4

See Also:
  Constant Field Values

### XVK_NUMPAD5

    public static final int XVK_NUMPAD5

See Also:
  Constant Field Values

### XVK_NUMPAD6

    public static final int XVK_NUMPAD6

See Also:
  Constant Field Values

### XVK_NUMPAD7

    public static final int XVK_NUMPAD7

See Also:
  Constant Field Values

### XVK_NUMPAD8

    public static final int XVK_NUMPAD8

See Also:
  Constant Field Values

### XVK_NUMPAD9

    public static final int XVK_NUMPAD9

See Also:
  Constant Field Values

### XVK_MULTIPLY

    public static final int XVK_MULTIPLY

See Also:
  Constant Field Values

### XVK_ADD

    public static final int XVK_ADD

See Also:
  Constant Field Values

### XVK_SUBTRACT

    public static final int XVK_SUBTRACT

See Also:
  Constant Field Values

### XVK_DIVIDE

    public static final int XVK_DIVIDE

See Also:
  Constant Field Values

### XVK_MAX

    public static final int XVK_MAX

See Also:
  Constant Field Values

### vk2xvk

    public final int[] vk2xvk

### EMUL_XTERM

    public static final int EMUL_XTERM

See Also:
  Constant Field Values

### EMUL_LINUX

    public static final int EMUL_LINUX

See Also:
  Constant Field Values

### EMUL_SCOANSI

    public static final int EMUL_SCOANSI

See Also:
  Constant Field Values

### EMUL_ATT6386

    public static final int EMUL_ATT6386

See Also:
  Constant Field Values

### EMUL_SUN

    public static final int EMUL_SUN

See Also:
  Constant Field Values

### EMUL_AIX

    public static final int EMUL_AIX

See Also:
  Constant Field Values

### EMUL_VT220

    public static final int EMUL_VT220

See Also:
  Constant Field Values

### EMUL_VT100

    public static final int EMUL_VT100

See Also:
  Constant Field Values

### EMUL_ANSI

    public static final int EMUL_ANSI

See Also:
  Constant Field Values

### EMUL_VT52

    public static final int EMUL_VT52

See Also:
  Constant Field Values

### EMUL_ALTERNATENAME

    public static final int EMUL_ALTERNATENAME

See Also:
  Constant Field Values

### EMUL_XTERMCOL

    public static final int EMUL_XTERMCOL

See Also:
  Constant Field Values

### EMUL_LINUXLAT

    public static final int EMUL_LINUXLAT

See Also:
  Constant Field Values

### EMUL_AT386

    public static final int EMUL_AT386

See Also:
  Constant Field Values

### EMUL_VT102

    public static final int EMUL_VT102

See Also:
  Constant Field Values

### EMUL_VT320

    public static final int EMUL_VT320

See Also:
  Constant Field Values

### DEFAULT_TERM

    public static final int DEFAULT_TERM

See Also:
  Constant Field Values

### terminalTypes

    public static final java.lang.String[] terminalTypes

### specialKeyMap

    public static final java.lang.String[][] specialKeyMap

### specialKeyMapShift

    public static final java.lang.String[][] specialKeyMapShift

### specialKeyMapCtrl

    public static final java.lang.String[][] specialKeyMapCtrl

### specialKeyMapCtrlShift

    public static final java.lang.String[][] specialKeyMapCtrlShift

### theSpecialKeyMaps

    public static final java.lang.String[][][] theSpecialKeyMaps

### R_ESC

    public static final int R_ESC

See Also:
  Constant Field Values

### R_SS2

    public static final int R_SS2

See Also:
  Constant Field Values

### R_SS3

    public static final int R_SS3

See Also:
  Constant Field Values

### R_DCS

    public static final int R_DCS

See Also:
  Constant Field Values

### R_CSI

    public static final int R_CSI

See Also:
  Constant Field Values

### R_OSC

    public static final int R_OSC

See Also:
  Constant Field Values

### R_PM

    public static final int R_PM

See Also:
  Constant Field Values

### R_APC

    public static final int R_APC

See Also:
  Constant Field Values

### replyTypes

    public static final java.lang.String[] replyTypes

### CHARSET_UK

    public static final char CHARSET_UK

See Also:
  Constant Field Values

### CHARSET_ASCII

    public static final char CHARSET_ASCII

See Also:
  Constant Field Values

### CHARSET_LINES

    public static final char CHARSET_LINES

See Also:
  Constant Field Values

### CHARSET_ASCII_ALT

    public static final char CHARSET_ASCII_ALT

See Also:
  Constant Field Values

### CHARSET_ASCII_ALT2

    public static final char CHARSET_ASCII_ALT2

See Also:
  Constant Field Values

### PARAMNOTUSED

    public static final int PARAMNOTUSED

See Also:
  Constant Field Values

### MOUSE_DONTSEND

    public static final int MOUSE_DONTSEND

See Also:
  Constant Field Values

### MOUSE_X10COMP

    public static final int MOUSE_X10COMP

See Also:
  Constant Field Values

### MOUSE_DECVT200

    public static final int MOUSE_DECVT200

See Also:
  Constant Field Values

### MOUSE_HLTRACK

    public static final int MOUSE_HLTRACK

See Also:
  Constant Field Values

### groundTable

    public static final int[] groundTable

### csiTable

    public static final int[] csiTable

### decTable

    public static final int[] decTable

### oscTable

    public static final int[] oscTable

### xtermSeqTable

    public static final int[] xtermSeqTable

### eigTable

    public static final int[] eigTable

### escTable

    public static final int[] escTable

### iesTable

    public static final int[] iesTable

### ignTable

    public static final int[] ignTable

### scrTable

    public static final int[] scrTable

### scsTable

    public static final int[] scsTable

Constructor Detail

### TerminalXTerm

    public TerminalXTerm()

### TerminalXTerm

    public TerminalXTerm(int personality)

Method Detail

### hasNullPadding

    public static final boolean hasNullPadding(int personality)

### listAvailableTerminalTypes

    public static java.lang.String listAvailableTerminalTypes()

### getTerminalTypes

    public static java.lang.String[] getTerminalTypes()

### terminalType

    public java.lang.String terminalType()

  Specified by:
    `terminalType` in class `TerminalInterpreter`

### setTerminalType

    public void setTerminalType(int type)
                         throws java.util.NoSuchElementException

  Throws:
    `java.util.NoSuchElementException`

### setTerminalType

    public void setTerminalType(java.lang.String type)
                         throws java.util.NoSuchElementException

  Throws:
    `java.util.NoSuchElementException`

### setDumbMode

    public void setDumbMode(boolean dumb)

  Overrides:
    `setDumbMode` in class `TerminalInterpreter`

### interpretChar

    public int interpretChar(char c)

  Specified by:
    `interpretChar` in class `TerminalInterpreter`

### ansiModes

    protected void ansiModes(boolean set)

### sgrModes

    protected void sgrModes()

### dpModes

    protected void dpModes(boolean set)

### xtermModes

    protected void xtermModes()

### xtermWinCtrl

    protected void xtermWinCtrl()

### xtermSavemodes

    protected void xtermSavemodes()

### xtermRestoremodes

    protected void xtermRestoremodes()

### ansiPrinterCtrl

    protected void ansiPrinterCtrl(int val)

### resetGSets

    protected final void resetGSets()

### vtReset

    public void vtReset()

  Overrides:
    `vtReset` in class `TerminalInterpreter`

### notImplemented

    protected void notImplemented(java.lang.String cmd)

### mapModToTab

    public final int mapModToTab(int modifiers)

### mapSpecialKeys

    public final java.lang.String mapSpecialKeys(int virtualKey,
                                                 int modifiers)

### keyHandler

    public void keyHandler(char c,
                           int virtualKey,
                           int modifiers)

  Overrides:
    `keyHandler` in class `TerminalInterpreter`

### mouseHandler

    public void mouseHandler(int row,
                             int col,
                             boolean press,
                             int modifiers)

  Overrides:
    `mouseHandler` in class `TerminalInterpreter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD